Package com.zfabrik.components

## Interface IComponentsManager

- All Superinterfaces:
    `IComponentsRepository`

      public interface IComponentsManager
      extends IComponentsRepository

  The components manager provides access to the system's current view onto all component repositories.

  It represents the root view onto all repositories and should be used by clients to find out about components in the system.

  Author:
    hb
  See Also:
    `IComponentsRepository`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IComponentsManager.initializer` | Initialization help

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IComponentsManager` | `INSTANCE` | Static access to components manager

    - ### Fields inherited from interface com.zfabrik.components.provider.IComponentsRepository

      `COMPONENT_REPO_IMPLEMENTATION, COMPONENT_REPO_MODE, COMPONENT_REPO_MODE_RELAXED, COMPONENT_REPO_MODE_STRICT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IComponentsRepositoryContext` | `registerRepository​(int prio, IComponentsRepository repo)` | Register a components repository.
    `void` | `unregisterRepository​(IComponentsRepository repo)` | Unregister a component repository.

    - ### Methods inherited from interface com.zfabrik.components.provider.IComponentsRepository

      `findComponents, findComponents, getComponent, getComponent, getModules, getModules, getRevision, getRevision, retrieve, retrieve`

- - ### Field Detail

    - #### INSTANCE

          static final IComponentsManager INSTANCE

      Static access to components manager

  - ### Method Detail

    - #### registerRepository

          IComponentsRepositoryContext registerRepository​(int prio,
                                                          IComponentsRepository repo)

      Register a components repository. The priority parameter controls in what order repositories will be asked for components. The higher the priority of a repository the closer to the start of the list it will be put.
      Parameters:
        `prio` -
        `repo` -

    - #### unregisterRepository

          void unregisterRepository​(IComponentsRepository repo)

      Unregister a component repository.
      Parameters:
        `repo` -